GET users
Returns all customer's users.
Request example
curl --request GET "https://api-asm1.apica.io/v3/users?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"id": 1,
"guid": "262f29e4-f159-433e-af42-fcaab3f67372",
"name": "sample string 3",
"full_name": "sample string 4",
"phone": "sample string 5",
"mobile": "sample string 6",
"email": "sample string 7",
"approved": true,
"locked_out": true,
"language_tag": "sample string 10",
"roles": [
"sample string 1",
"sample string 2",
"sample string 3"
]
},
{
"id": 1,
"guid": "eda3d39c-6629-4fad-9dad-008ee3c265d7",
"name": "sample string 3",
"full_name": "sample string 4",
"phone": "sample string 5",
"mobile": "sample string 6",
"email": "sample string 7",
"approved": true,
"locked_out": true,
"language_tag": "sample string 10",
"roles": [
"sample string 1",
"sample string 2",
"sample string 3"
]
},
{
"id": 1,
"guid": "0916a3a0-13fa-491f-b18f-9e2a92bbe066",
"name": "sample string 3",
"full_name": "sample string 4",
"phone": "sample string 5",
"mobile": "sample string 6",
"email": "sample string 7",
"approved": true,
"locked_out": true,
"language_tag": "sample string 10",
"roles": [
"sample string 1",
"sample string 2",
"sample string 3"
]
}
]
| Name | Type | Description |
|---|---|---|
| id | Integer | User ID. |
| guid | Guid | User GUID. |
| name | String | Login Username. |
| full_name | String | Full name. |
| phone | String | Phone. |
| mobile | String | Mobile. |
| String | Email. | |
| approved | Boolean | Is user allowed to log in and use ASM? Check this to turn the user account off. |
| locked_out | Boolean | Has user been locked out? Will be automatically checked after too many failed logins. |
| language_tag | String | Language and regional settings in format: 'LL - RR', where 'LL' - language code by ISO 639-1 and 'RR' - region code by ISO 3166-1. |
| roles | Array | Roles. |